package com.objis.demohibernate.domaine;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Douglas MBIANDOU (www.objis.com)
 * Classe mtier Lieu
 */
public class Lieu {
	
	private Long id;		  // Identifiant lieu (Cl primaire)
	private String nom; 	  // Nom du lieu
	private String addresse;  // Adresse du lieu
	private Set <Formation> formations = new HashSet<Formation>();  // collection de formations
	
	public Set<Formation> getFormations() {
		return formations;
	}

	public void setFormations(Set<Formation> formations) {
		this.formations = formations;
	}
	 public void addFormation(Formation formation){
		 formation.setLieu(this);
		 formations.add(formation);
	 }

	// Constructeur sans argument
	public Lieu() {
		super();
	}
	
	public Lieu(String nom, String addresse) {
		super();
		this.nom = nom;
		this.addresse = addresse;
	}
	
	// getters & setters
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getNom() {
		return nom;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public String getAddresse() {
		return addresse;
	}
	public void setAddresse(String addresse) {
		this.addresse = addresse;
	}
	
	
	
}
